updating a host to belong to a null hostgroup doesn't work

04/26/2011 02:31 AM - Corey Osman

Status: Closed   

Priority: Normal   

Assignee: Paul Kelly   

Category: Web Interface   

Target version: 0.3   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

when I call http://foreman/hosts/update_multiple_hostgroup with some json code where the hostgroup_id is set to "".  The api call

completes but it doesn't seem to update the host.

If I were to update the host through http://foreman/hosts/FQDN and pass in hostgroup_id=""  the command would complete

successfully and set the hostgroup to "blank" hostgroup.  I also don't see a method to select a "blank" hostgroup when using the

webui multiedit function either.  I'll need this feature in order to unset a host from a hostgroup from my mobile app

Related issues:

Related to Foreman - Bug #892: submit button is missing when host has no host... Closed 05/09/2011

Associated revisions

Revision bf228dd6 - 05/25/2011 04:59 AM - Paul Kelly

Fixes 867 - Allow update_multiple to clear hostgroup

Also added the facility for clearing the environment to update_multiple_environments

Signed-off-by: Paul Kelly <paul.ian.kelly@googlemail.com>

History

#1 - 05/01/2011 07:58 AM - Ohad Levy

- Project changed from Smart Proxy to Foreman

#2 - 05/09/2011 09:11 PM - Corey Osman

- Target version set to 0.3

#3 - 05/17/2011 08:22 AM - Paul Kelly

- Category set to Web Interface

- Status changed from New to Ready For Testing

- Assignee set to Paul Kelly

A hostgroup id of "clear", rather than the numeric value of a hostgroup_id, is now interpreted as a request to replace the current hostgroup_id for all

multiple hosts with a nil.

I have not explicitly tested the API with a json call as I am not clear as to how this differs from the web interface interaction. Are there tools to help

with the testing of this?

#4 - 05/19/2011 01:34 AM - Corey Osman

I'll take a look at it and test it out.

#5 - 05/24/2011 01:14 PM - Corey Osman

Just tested and it works very well.  I wasn't able to test the environment portion but I am now able to set the hostgroup to "".

#6 - 05/25/2011 07:59 AM - Paul Kelly

- % Done changed from 0 to 100
Applied in changeset bf228dd6dd0cca6c9cbb1a0ec4bf18d41cf04970.

#7 - 05/25/2011 08:02 AM - Ohad Levy

- Status changed from Ready For Testing to Closed
